<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('dataset_table58', function (Blueprint $table) {
            $table->id('DatasetTable58Id');
            $table->integer('dataset_id');
            $table->string('jenis_produk_hukum_bidang_lingkungan_hidup')->nullable();
            $table->string('jenis_produk_hukum_bidang_kehutanan')->nullable();
            $table->string('nomor_tanggal')->nullable();
            $table->string('tentang')->nullable();
            $table->string('dokumen')->nullable();
            $table->integer('created_by');
            $table->timestampsTz();
            $table->softdeletesTz();

            $table->foreign('dataset_id')->references('DatasetId')->on('dataset')->cascadeOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('dataset_table58s');
    }
};
